Loading...
Searching...
No Matches
juce::MessageBoxOptions Class Reference

## Detailed Description

Class used to create a set of options to pass to the AlertWindow and NativeMessageBox methods for showing dialog boxes.

You can chain together a series of calls to this class's methods to create a set of whatever options you want to specify.

E.g.

AlertWindow::showAsync (MessageBoxOptions()
.withIconType (MessageBoxIconType::InfoIcon)
.withTitle ("A Title")
.withMessage ("A message.")
.withButton ("OK")
.withButton ("Cancel")
.withAssociatedComponent (myComp),
myCallback);
juce::AlertWindow::showAsync
static void JUCE_CALLTYPE showAsync(const MessageBoxOptions &options, ModalComponentManager::Callback *callback)
Shows a dialog box using the specified options.
juce::MessageBoxOptions::MessageBoxOptions
MessageBoxOptions()=default
juce::MessageBoxOptions::withMessage
MessageBoxOptions withMessage(const String &boxMessage) const
Sets the message that should be displayed in the dialog box.
Definition juce_MessageBoxOptions.h:86
juce::MessageBoxOptions::withTitle
MessageBoxOptions withTitle(const String &boxTitle) const
Sets the title of the dialog box.
Definition juce_MessageBoxOptions.h:83
juce::MessageBoxOptions::withButton
MessageBoxOptions withButton(const String &text) const
If the string passed in is not empty, this will add a button to the dialog box with the specified tex...
Definition juce_MessageBoxOptions.h:94
juce::MessageBoxOptions::withIconType
MessageBoxOptions withIconType(MessageBoxIconType type) const
Sets the type of icon that should be used for the dialog box.
Definition juce_MessageBoxOptions.h:80
juce::MessageBoxOptions::withAssociatedComponent
MessageBoxOptions withAssociatedComponent(Component *component) const
The component that the dialog box should be associated with.
Definition juce_MessageBoxOptions.h:97
juce::MessageBoxIconType::InfoIcon
@ InfoIcon
An icon that indicates that the dialog box is just giving the user some information,...
Definition juce_MessageBoxOptions.h:46

The documentation for this class was generated from the following file:

- juce_gui_basics/windows/juce_MessageBoxOptions.h

## Public Member Functions

| MessageBoxOptions ()=default
| MessageBoxOptions (const MessageBoxOptions &)=default
MessageBoxOptions & | operator= (const MessageBoxOptions &)=default
MessageBoxOptions | withIconType (MessageBoxIconType type) const
| Sets the type of icon that should be used for the dialog box.
MessageBoxOptions | withTitle (const String &boxTitle) const
| Sets the title of the dialog box.
MessageBoxOptions | withMessage (const String &boxMessage) const
| Sets the message that should be displayed in the dialog box.
MessageBoxOptions | withButton (const String &text) const
| If the string passed in is not empty, this will add a button to the dialog box with the specified text.
MessageBoxOptions | withAssociatedComponent (Component *component) const
| The component that the dialog box should be associated with.
MessageBoxOptions | withParentComponent (Component *component) const
| The component that will contain the message box (e.g.
MessageBoxIconType | getIconType () const noexcept
| Returns the icon type of the dialog box.
String | getTitle () const
| Returns the title of the dialog box.
String | getMessage () const
| Returns the message of the dialog box.
int | getNumButtons () const noexcept
| Returns the number of buttons that have been added to the dialog box.
String | getButtonText (int buttonIndex) const
| Returns the text that has been set for one of the buttons of the dialog box.
Component * | getAssociatedComponent () const noexcept
| Returns the component that the dialog box is associated with.
Component * | getParentComponent () const noexcept
| Returns the component that will be used as the parent of the dialog box.

## Static Public Member Functions

static MessageBoxOptions | makeOptionsOk (MessageBoxIconType iconType, const String &title, const String &message, const String &buttonText=String(), Component *associatedComponent=nullptr)
| Creates options suitable for a message box with a single button.
static MessageBoxOptions | makeOptionsOkCancel (MessageBoxIconType iconType, const String &title, const String &message, const String &button1Text=String(), const String &button2Text=String(), Component *associatedComponent=nullptr)
| Creates options suitable for a message box with two buttons.
static MessageBoxOptions | makeOptionsYesNo (MessageBoxIconType iconType, const String &title, const String &message, const String &button1Text=String(), const String &button2Text=String(), Component *associatedComponent=nullptr)
| Creates options suitable for a message box with two buttons.
static MessageBoxOptions | makeOptionsYesNoCancel (MessageBoxIconType iconType, const String &title, const String &message, const String &button1Text=String(), const String &button2Text=String(), const String &button3Text=String(), Component *associatedComponent=nullptr)
| Creates options suitable for a message box with three buttons.

## Constructors and Destructors

## MessageBoxOptions() [1/2]

juce::MessageBoxOptions::MessageBoxOptions | ( |  | ) |

default

Referenced by makeOptionsOk(), makeOptionsOkCancel(), makeOptionsYesNo(), makeOptionsYesNoCancel(), MessageBoxOptions(), operator=(), withAssociatedComponent(), withButton(), withIconType(), withMessage(), withParentComponent(), and withTitle().

## MessageBoxOptions() [2/2]

juce::MessageBoxOptions::MessageBoxOptions | ( | const MessageBoxOptions & |  | ) |

default

References MessageBoxOptions().

## Member Functions

## operator=()

MessageBoxOptions & juce::MessageBoxOptions::operator= | ( | const MessageBoxOptions & |  | ) |

default

References MessageBoxOptions().

## withIconType()

MessageBoxOptions juce::MessageBoxOptions::withIconType | ( | MessageBoxIconType | type | ) | const

inline nodiscard

Sets the type of icon that should be used for the dialog box.

References MessageBoxOptions(), and juce::withMember().

## withTitle()

MessageBoxOptions juce::MessageBoxOptions::withTitle | ( | const String & | boxTitle | ) | const

inline nodiscard

Sets the title of the dialog box.

References MessageBoxOptions(), and juce::withMember().

## withMessage()

MessageBoxOptions juce::MessageBoxOptions::withMessage | ( | const String & | boxMessage | ) | const

inline nodiscard

Sets the message that should be displayed in the dialog box.

References MessageBoxOptions(), and juce::withMember().

## withButton()

MessageBoxOptions juce::MessageBoxOptions::withButton | ( | const String & | text | ) | const

inline nodiscard

If the string passed in is not empty, this will add a button to the dialog box with the specified text.

Generally up to 3 buttons are supported for dialog boxes, so adding any more than this may have no effect.

References MessageBoxOptions().

## withAssociatedComponent()

MessageBoxOptions juce::MessageBoxOptions::withAssociatedComponent | ( | Component * | component | ) | const

inline nodiscard

The component that the dialog box should be associated with.

References MessageBoxOptions(), and juce::withMember().

## withParentComponent()

MessageBoxOptions juce::MessageBoxOptions::withParentComponent | ( | Component * | component | ) | const

inline nodiscard

The component that will contain the message box (e.g.

the AudioProcessorEditor in a plugin).

This will only affect JUCE AlertWindows. It won't affect the drawing of native message boxes. This is mainly intended for use in AU plugins, where opening additional windows can be problematic.

References MessageBoxOptions(), and juce::withMember().

## getIconType()

MessageBoxIconType juce::MessageBoxOptions::getIconType | ( |  | ) | const

inline noexcept

Returns the icon type of the dialog box.

See also
  withIconType

## getTitle()

String juce::MessageBoxOptions::getTitle | ( |  | ) | const

inline

Returns the title of the dialog box.

See also
  withTitle

## getMessage()

String juce::MessageBoxOptions::getMessage | ( |  | ) | const

inline

Returns the message of the dialog box.

See also
  withMessage

## getNumButtons()

int juce::MessageBoxOptions::getNumButtons | ( |  | ) | const

inline noexcept

Returns the number of buttons that have been added to the dialog box.

See also
  withButtonText

## getButtonText()

String juce::MessageBoxOptions::getButtonText | ( | int | buttonIndex | ) | const

inline

Returns the text that has been set for one of the buttons of the dialog box.

See also
  withButtonText, getNumButtons

## getAssociatedComponent()

Component * juce::MessageBoxOptions::getAssociatedComponent | ( |  | ) | const

inline noexcept

Returns the component that the dialog box is associated with.

See also
  withAssociatedComponent

## getParentComponent()

Component * juce::MessageBoxOptions::getParentComponent | ( |  | ) | const

inline noexcept

Returns the component that will be used as the parent of the dialog box.

See also
  withParentComponent

## makeOptionsOk()

MessageBoxOptions juce::MessageBoxOptions::makeOptionsOk | ( | MessageBoxIconType | iconType,
|  | const String & | title,
|  | const String & | message,
|  | const String & | buttonText = String(),
|  | Component * | associatedComponent = nullptr )

static

Creates options suitable for a message box with a single button.

If no button text is supplied, "OK" will be used.

References MessageBoxOptions().

Referenced by juce::StandalonePluginHolder::askUserToLoadState(), and juce::StandalonePluginHolder::askUserToSaveState().

## makeOptionsOkCancel()

MessageBoxOptions juce::MessageBoxOptions::makeOptionsOkCancel | ( | MessageBoxIconType | iconType,
|  | const String & | title,
|  | const String & | message,
|  | const String & | button1Text = String(),
|  | const String & | button2Text = String(),
|  | Component * | associatedComponent = nullptr )

static

Creates options suitable for a message box with two buttons.

If no button text is supplied, "OK" and "Cancel" will be used.

References MessageBoxOptions().

## makeOptionsYesNo()

MessageBoxOptions juce::MessageBoxOptions::makeOptionsYesNo | ( | MessageBoxIconType | iconType,
|  | const String & | title,
|  | const String & | message,
|  | const String & | button1Text = String(),
|  | const String & | button2Text = String(),
|  | Component * | associatedComponent = nullptr )

static

Creates options suitable for a message box with two buttons.

If no button text is supplied, "Yes" and "No" will be used.

References MessageBoxOptions().

## makeOptionsYesNoCancel()

MessageBoxOptions juce::MessageBoxOptions::makeOptionsYesNoCancel | ( | MessageBoxIconType | iconType,
|  | const String & | title,
|  | const String & | message,
|  | const String & | button1Text = String(),
|  | const String & | button2Text = String(),
|  | const String & | button3Text = String(),
|  | Component * | associatedComponent = nullptr )

static

Creates options suitable for a message box with three buttons.

If no button text is supplied, "Yes", "No", and "Cancel" will be used.

References juce::InfoIcon, and MessageBoxOptions().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited